Get feature flag definition in environment

Retrieves a feature flag definition given the name and the FME environment.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Access requirements

The Authorization Bearer (Admin API Key authorizing the request) must have one of the following roles and scopes:

Admin API Key roles accepted

  • API_ALL_GRANTED
  • API_FEATURE_FLAG_VIEWER
  • API_FEATURE_FLAG_EDITOR

Admin API Key scopes accepted

  • GLOBAL
  • WORKSPACE
  • ENVIRONMENT

To learn more about Admin API Key roles and scopes, see API keys overview.


JSON Received

{
    "name": String,
    "environment": URN, // Containing id and name of the environment
    "killed": Boolean,
    "treatments": [ Treatment ],
    "defaultTreatment": String,
    "trafficAllocation": Number, // Between 0 and 100
    "rules": [ Rule ],
    "creationTime": Number, // Milliseconds since epoch
    "lastUpdateTime": Number, // Milliseconds since epoch
    "lastTrafficReceivedAt": Number, //Milliseconds since epoch
    "flagSets": [FlagSetAssociation] // Containing type and id
}

Detailed information of the payload structure can be found on Split Grammar.

Path Params
string
required

The ID of the project (workspace) of the feature flag. After migration to Harness, get this value using the Get Projects (Workspaces) endpoint and the Harness project name.

string
required

The case-sensitive name of the feature flag

string
required

The ID or case-sensitive name of the FME environment you want to get feature flag definition from

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json